# $Revision: 1.29 $, $Date: 2007/01/23 15:46:54 $
# TODO
# - mod_roaming.conf points to htpasswd file in /var, shouldn't it be in /etc
#   (and don't forget trigger to move old possibly existing htpasswd in /var when fixing it)
%define		mod_name	roaming
%define 	apxs		/usr/sbin/apxs1
Summary:	Enables Netscape Communicator roaming profiles with Apache
Summary(cs):	Modul podpory roamingovch profil Netscape Communicatora pro Apache
Summary(da):	Et apachemodul som lader webtjeneren hndtere profiler for Netscape Communicator
Summary(de):	Aktiviert den Netscape Communicator fr das Profilroaming mit Apache
Summary(es):	Mdulo de acceso roaming para navegacin en red para Apache
Summary(fr):	Permet l'itinrance de profils Netscape Communicator avec Apache
Summary(it):	Abilita i profili di roaming di Netscape Communicator con Apache
Summary(nb):	En apachemodul som lar webtjeneren hndtere profiler for Netscape Communicator
Summary(pl):	Modu Apache obsugujcy przechodnie profile Netscape Communicatora
Summary(pt_BR):	Modulo "Netscape Roaming Access" para o Apache
Summary(sk):	WWW prehliada Netscape Navigator
Summary(sv):	Mjliggr Netscape Communicator reseprofiler med Apache
Name:		apache1-mod_%{mod_name}
Version:	1.0.2
Release:	3
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.klomp.org/mod_roaming/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	226c0ce2daf276072079590b5560f022
Source1:	%{name}.conf
URL:		http://www.klomp.org/mod_roaming/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_roaming <= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
With mod_roaming you can use your Apache web server as a Netscape
Roaming Access server. This allows you to store your Netscape
Communicator 4.5 preferences, bookmarks, address books, cookies etc.
on the server so that you can use (and update) the same settings from
any Netscape Communicator 4.5 that can access the server.

%description -l cs
Balek mod_roaming obsahuje modul pro podporu roamingovch profil
Netscape Communicatora pro Apache. Profily umouj uloit nastaven
Netscape 4.5 (bookmarky, adres, cookies, nastaven Netacspe apod.)
na server, take pi sputn Netscape z libovolnho msta na
Internetu budete mt stejn nastaven.

%description -l de
Mit mo_roaming knnen Sie Ihren Apache Web-Server als
Netscape-Roaming- Zugriffsserver verwenden. Auf diese Weise knnen Sie
Ihre Prferenzen fr Netscape Communicator 4.5, Lesezeichen,
Adressbcher, Cookies etc. auf dem Server speichern, so dass Sie die
gleichen Einstellungen von jedem Netscape Communicator 4.5 verwenden
(und aktualisieren) knnen, die Zugriff auf den Server haben.

%description -l es
Con mod_roaming puede utilizar su servidor web apache como un servidor
Netscape Roaming Access. Esto le permite almacenar las preferencias de
su Netscape Communicator 4.5, los bookmarks, libros de direcciones,
cookies, etc. en el servidor de tal forma que puede utilizar (y
actualizar) las mismas opciones desde cualquier Netscape Communicator
4.5 que acceda al servidor.

%description -l fr
Mod_roaming vous permet d'utiliser le serveur Web Apache en tant que
Netscape pour accder  un serveur Access. Cela vous permet de stocker
vos prfrences Netscape Communicator 4.5, signets, carnets
d'adresses, cookies, etc. sur le serveur afin d'utiliser (et de mettre
 jour) les mmes rglages depuis n'importe quel Netscapte
Communicator 4.5 ayant accs au serveur.

%description -l it
Grazie a mod_roaming  possibile utilizzare il server Web Apache come
un server Netscape Roaming Access. Questo consente di memorizzare le
preferenze, i segnalibri, le rubriche i cookie (e cos via) di
Netscape Communicator 4.5 sul server, in modo da poter usare (e
aggiornare) le stesse impostazioni da qualsiasi Netscape Communicator
4.5 che possa accedere al server.

%description -l ja
mod_roaming ѤȡApache Web С Netscape Roaming
Access СȤƻѤǤޤˤä Netscape Communicator
4.5 Τꡢ֥åޡɥ쥹
֥ååʤɤ򥵡С˳ǼǤС˥Ǥɤ
 Netscape Communicator 4.5 ǤƱ (ӹ)
Ǥ 褦ˤʤޤ

%description -l pl
Dziki mod_roaming moesz uywa serwera Apache jako serwera Netscape
Roaming Access. Pozwala to na zapisywanie ustawie, bookmarkw,
ksiek adresowych, cookie z Netscape Communicatora >= 4.5 na
serwerze, dziki czemu moesz uywa (i uaktualnia) tych samych
ustawie z dowolnego Netscape Communicatora >= 4.5, ktry ma dostp do
serwera.

%description -l pt_BR
Com o mod_roaming voc pode usar o Apache como um servidor de "Roaming
Access" para o Netscape. Isto permite que voc armazene preferncias,
bookmarks, livros de acessos, cookies, etc, do Netscape Communicator
4.5 no servidor, sendo que com isso, voc pode usar as mesmas
configuraes para qualquer Netscape 4.5 que possa acessar este
servidor.

%description -l sv
Med mod_roaming kan du anvnda din webbserver Apache som en server fr
Netscape reseprofiler. Detta lter dig lagra dina Netscape
Communicator 4.5 preferenser, bokmrken, adressbok, kakor, etc. p
servern s att du kan anvnda (och ndra) instllningarna frn valfri
Netscape Communicator 4.5 som kan komma t servern.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c -o mod_roaming.so -lc mod_roaming.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_var}/lib/mod_roaming}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 1.0.2-1.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
%service -q apache restart

%files
%defattr(644,root,root,755)
%doc CHANGES INSTALL LICENSE README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%attr(770,root,http) %dir %{_var}/lib/mod_roaming

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_roaming.spec,v $
Revision 1.29  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.28  2006/04/14 17:03:25  glen
- use %service

Revision 1.27  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.26  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.24  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.23  2005/02/15 12:02:34  glen
- rel 2; STBR

Revision 1.22  2005/02/10 01:49:28  glen
- confdir enabled apache1
- fixed permissions of /var/lib/mod_roaming

Revision 1.21  2004/08/27 23:53:24  radek
- release 1: mv apache{,1}-mod_roaming.spec; misc. fixes

Revision 1.20  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.19  2003/08/06 16:12:19  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.18  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.17  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.14  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.13  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.12  2002/05/26 12:34:39  kloczek
- merged translations from Conectiva,
- finished.

Revision 1.11  2002/04/25 15:46:36  arturs
- fixed a small typo

Revision 1.10  2002/03/27 12:05:08  roman
- s/BSD type/BSD-like in License

Revision 1.9  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/17 21:09:41  ankry
- release 6

Revision 1.7  2002/02/17 19:01:43  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.6  2002/02/17 05:02:07  kloczek
- release 5.

Revision 1.5  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.4  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/31 11:57:22  qboosh
- some fixes in %install/%files, pl translations

Revision 1.2  2001/07/26 02:39:21  agaran
- just adapterized + fixed group field

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- remove the bogus preun script
- fix permissions on /var/lib/mod_roaming

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jun 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2
- call %{_sbindir}/apxs explicitly instead of expecting it to be in the PATH

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- update for new release (release 5)
- add URL: tag

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for new Apache (release 4)

* Thu Feb 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for 3.2 (revision 3)

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
